Package twisted :: Package xish :: Module xpathparser :: Class XPathParser |
[frames | no frames]

## Class XPathParser

    Parser --+
             |
            XPathParser

Method Summary
| `CMP(self)`
| `EXPR(self)`
| `PATH(self)`
| `PREDICATE(self)`
| `STR(self)`
| `VALUE(self)`
| `XPATH(self)`
Inherited from Parser
| ``__init__`(self, scanner)`
| ``_peek`(self, *types)` Returns the token type for lookahead; if there are any args then the list of args is the set of token types to allow
| ``_scan`(self, type)` Returns the matched text, and moves to the next token

Generated by Epydoc 2.0 on Sat Oct 25 00:54:56 2003 | http://epydoc.sf.net